/*
 * _assert.c - print assertion failure message
 *
 * Started 14/11/89 Alex G. Kiernan
 *
 * Copyright (c) 1989 HiSoft
 */

#include <stdio.h>
#include <stdlib.h>
#include <assert.h>

void _assert(const char *exp,const char *file,int line)
{
	fprintf(stderr,"Assertion (%s) failed in file %s at line %d\n",exp,file,line);
    abort();
}
